## com.arsdigita.cms.webpage
Class WebpageConfig

    java.lang.Object
      com.arsdigita.util.parameter.AbstractParameterContext
          com.arsdigita.runtime.AbstractConfig
              com.arsdigita.cms.webpage.WebpageConfig

All Implemented Interfaces:
  com.arsdigita.util.parameter.ParameterContext

public final class WebpageConfig
extends com.arsdigita.runtime.AbstractConfig

Field Summary
`static String` `versionId`

Constructor Summary
`WebpageConfig()`

Method Summary
`String` `getContentSection()`
`com.arsdigita.cms.ContentSection` `getWebpageSection()`
`void` `setContentSection(String section)`

Methods inherited from class com.arsdigita.runtime.AbstractConfig
`load, load, load, require`

Methods inherited from class com.arsdigita.util.parameter.AbstractParameterContext
`get, get, getParameters, load, load, loadInfo, register, save, set, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### versionId

    public static final String versionId

See Also:
  Constant Field Values

Constructor Detail

### WebpageConfig

    public WebpageConfig()

Method Detail

### getContentSection

    public final String getContentSection()

### setContentSection

    public final void setContentSection(String section)

### getWebpageSection

    public final com.arsdigita.cms.ContentSection getWebpageSection()

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1154 UTC